> For the complete documentation index, see [llms.txt](https://developer.magtek.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.magtek.com/sdks-and-tools/universal-sdk-documentation/android/connectioninfo.md).

# ConnectionInfo

Create an instance of the `ConnectionInfo` using `IDevice.getConnectionInfo()`. Then use the function calls described in this chapter.

## getAddress

This function returns address of the device.

```java
String ConnectionInfo.getAddress();
```

**Return Value:**

Returns the address of the device.

## getConnectionType

This function returns the type of connection Interface for the device.

```java
ConnectionType ConnectionInfo.getConnectionType();
```

**Return Value:**

Returns the `ConnectionType`.

## getDeviceType

This function returns the type for the device.

```java
DeviceType ConnectionInfo.getDeviceType();
```

**Return Value:**

Returns the `DeviceFeature`.

This enum refers to a featured supported by the device.

| Enum              | Description                   |
| ----------------- | ----------------------------- |
| None              | No feature.                   |
| SignatureCapture  | Supports signature capture    |
| PINEntry          | Supports PIN entry            |
| PANEntry          | Supports PAN entry            |
| ShowBarCode       | Supports display of a barcode |
| ScanBarCode       | Supports scanning a barcode   |
| DisplayMessage    | Supports display of messages  |
| Buzzer            | Has a buzzer                  |
| CardEmulation     | Supports NFC card emulation   |
| PersonalInfoEntry | Supports personal info entry  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.magtek.com/sdks-and-tools/universal-sdk-documentation/android/connectioninfo.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
